// Copyright 2022 Adam Chalkley
//
// https://github.com/atc0005/go-teams-notify
//
// Licensed under the MIT License. See LICENSE file in the project root for
// full license information.

/*
Package adaptivecard provides support for generating Microsoft Teams messages
using the Adaptive Card format.

See the provided examples in this repo, the Godoc generated documentation at
https://pkg.go.dev/github.com/atc0005/go-teams-notify/v2 and the following
resources for more information:

https://adaptivecards.io/explorer
https://docs.microsoft.com/en-us/adaptive-cards/
https://docs.microsoft.com/en-us/adaptive-cards/authoring-cards/getting-started
https://docs.microsoft.com/en-us/adaptive-cards/authoring-cards/text-features
https://docs.microsoft.com/en-us/adaptive-cards/authoring-cards/universal-action-model
https://docs.microsoft.com/en-us/adaptive-cards/getting-started/bots
https://docs.microsoft.com/en-us/adaptive-cards/resources/principles
https://docs.microsoft.com/en-us/microsoftteams/platform/task-modules-and-cards/cards/cards-format
https://docs.microsoft.com/en-us/microsoftteams/platform/task-modules-and-cards/cards/cards-format#mention-support-within-adaptive-cards
https://docs.microsoft.com/en-us/microsoftteams/platform/task-modules-and-cards/cards/cards-reference#support-for-adaptive-cards
https://docs.microsoft.com/en-us/microsoftteams/platform/task-modules-and-cards/what-are-cards
https://docs.microsoft.com/en-us/microsoftteams/platform/webhooks-and-connectors/how-to/connectors-using
https://docs.microsoft.com/en-us/microsoftteams/platform/webhooks-and-connectors/how-to/connectors-using#send-adaptive-cards-using-an-incoming-webhook
https://stackoverflow.com/questions/50753072/microsoft-teams-webhook-generating-400-for-adaptive-card
*/
package adaptivecard
